# Template for creating a new **YouWol** library with alias `youwol` in `TypeScript`
Last update 2020.03.25

## 5 things to change in `package.json`:

1. The name (two places) of your library: in `name` and `main`. If, for ant reason, you do not need the alias `@youwol`, remove it from `main` and `name` and just use your fancy library name.
2. The version if necessary
3. The description
4. Your email in `author`
5. The keywords

## To install
Type `yarn`

## To build the library
Type `yarn build` (which is `yarn build:dev` and `yarn build:prod`)

## To test the library
Type `yarn test`

## To debug in Chrome
Read first this [very short article](https://medium.com/@paul_irish/debugging-node-js-nightlies-with-chrome-devtools-7c4a1b95ae27).

1. Run your node script as usual with the `--inspect-brk` flag:
```js
node --inspect-brk main.js
```
2. Open `about:inspect` in Chrome
3. Click the `Open dedicated DevTools for Node` link, or the dedicated link to your script if any

## To make your library dynamically available to other YouWol libraries 
Type `yarn link`

## To use this library in another YouWol library
Type `yarn link @youwol/yourlibname`

